Index: NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/1_namelist_cfg	(revision 9770)
+++ NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/1_namelist_cfg	(revision 9773)
@@ -1,7 +1,6 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite some defaults values defined in SHARED/namelist_ref
+!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!                       ORCA2 - IC3 configuration                      !
-
+!                         AGRIF ICE configuration                      !
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -13,4 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
+!!   namc1d       1D configuration options                              ("key_c1d")
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
+!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
 !!======================================================================
 !
@@ -18,5 +20,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  "ORCA2"  !  experience name
+   cn_exp      = "Pacific" !  experience name
    nn_it000    =       1   !  first time step
    nn_itend    =      75   !  last  time step (std 5475)
@@ -53,5 +55,4 @@
    sn_sal = 'data_1m_salinity_nomask'             ,     -1      ,'vosaline',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
 /
-
 !!======================================================================
 !!            ***  Surface Boundary Condition namelists  ***          !!
@@ -80,5 +81,5 @@
    ln_blk      = .true.    !  Bulk formulation                          (T => fill namsbc_blk )
                      ! Sea-ice :
-   nn_ice      = 2         !  =2 or 3 automatically for LIM3 or CICE    ("key_lim3" or "key_cice")
+   nn_ice      = 2         !  =2 or 3 automatically for SI3 or CICE    ("key_si3" or "key_cice")
                            !          except in AGRIF zoom where it has to be specified
                      ! Misc. options of sbc : 
@@ -154,5 +155,4 @@
    !     ===>>  forced deactivation in icbini.F90
 /
-
 !!======================================================================
 !!               ***  Lateral boundary condition  ***                 !!
@@ -171,5 +171,4 @@
    rn_shlat    =    2.     !  no slip
 /
-
 !!======================================================================
 !!                ***  Top/Bottom boundary condition  ***             !!
@@ -212,5 +211,4 @@
       rn_gambbl   =  10.      !  advective bbl coefficient                 [s]
 /
-
 !!======================================================================
 !!                        Tracer (T & S) namelists                    !!
@@ -275,5 +273,4 @@
       nn_zdmp  =    0         !  vertical shape =0    damping throughout the water column
 /
-
 !!======================================================================
 !!                      ***  Dynamics namelists  ***                  !!
@@ -325,5 +322,4 @@
    !                                !  =-30  read in eddy_viscosity_3D.nc
 /
-
 !!======================================================================
 !!                     vertical physics namelists                     !!
@@ -359,5 +355,4 @@
       rn_eice     =   0       !  below sea ice: =0 ON ; =4 OFF when ice fraction > 1/4   
 /
-
 !!======================================================================
 !!                  ***  Diagnostics namelists  ***                   !!
@@ -376,5 +371,4 @@
 !!======================================================================
 !
-
 !!======================================================================
 !!               ***  Observation & Assimilation  ***                 !!
@@ -384,5 +378,4 @@
 !!======================================================================
 !
-
 !!======================================================================
 !!                  ***  Miscellaneous namelists  ***                 !!