Index: /NEMO/trunk/src/NST/agrif_top_interp.F90
===================================================================
--- /NEMO/trunk/src/NST/agrif_top_interp.F90	(revision 9787)
+++ /NEMO/trunk/src/NST/agrif_top_interp.F90	(revision 9788)
@@ -48,8 +48,7 @@
    END SUBROUTINE Agrif_trc
 
-
    SUBROUTINE interptrn( ptab, i1, i2, j1, j2, k1, k2, n1, n2, before, nb, ndir )
       !!----------------------------------------------------------------------
-      !!                   *** ROUTINE interptrn ***
+      !!                  *** ROUTINE interptrn ***
       !!----------------------------------------------------------------------
       REAL(wp), DIMENSION(i1:i2,j1:j2,k1:k2,n1:n2), INTENT(inout) ::   ptab
@@ -57,15 +56,8 @@
       LOGICAL                                     , INTENT(in   ) ::   before
       INTEGER                                     , INTENT(in   ) ::   nb , ndir
-      !!
-      INTEGER ::   ji, jj, jk, jn   ! dummy loop indices
-      INTEGER ::   imin, imax, jmin, jmax
-      LOGICAL ::   ll_west, ll_east, ll_north, ll_south
+      !
+      INTEGER  ::   ji, jj, jk, jn, iref, jref, ibdy, jbdy   ! dummy loop indices
+      INTEGER  ::   imin, imax, jmin, jmax, N_in, N_out
       REAL(wp) ::   zrhox, z1, z2, z3, z4, z5, z6, z7
-      !!----------------------------------------------------------------------
-      !
-      INTEGER  ::   ji, jj, jk, jn   ! dummy loop indices
-      INTEGER  ::   imin, imax, jmin, jmax, N_in, N_out
-      REAL(wp) ::   zrhox , zalpha1, zalpha2, zalpha3
-      REAL(wp) ::   zalpha4, zalpha5, zalpha6, zalpha7
       LOGICAL :: western_side, eastern_side,northern_side,southern_side
       ! vertical interpolation:
@@ -73,10 +65,9 @@
       REAL(wp), DIMENSION(k1:k2,n1:n2-1) :: tabin
       REAL(wp), DIMENSION(k1:k2) :: h_in
-      REAL(wp), DIMENSION(1:jpk) :: h_out(1:jpk)
-      REAL(wp) :: h_diff, zrhoxy
-
-      zrhoxy = Agrif_rhox()*Agrif_rhoy()
-      IF (before) THEN         
-         DO jn = 1,jpts
+      REAL(wp), DIMENSION(1:jpk) :: h_out
+      REAL(wp) :: h_diff
+
+      IF( before ) THEN         
+         DO jn = 1,jptra
             DO jk=k1,k2
                DO jj=j1,j2
@@ -84,23 +75,21 @@
                        ptab(ji,jj,jk,jn) = trn(ji,jj,jk,jn)
                  END DO
-               END DO
-            END DO
-         END DO
+              END DO
+           END DO
+        END DO
+
 # if defined key_vertical
         DO jk=k1,k2
            DO jj=j1,j2
               DO ji=i1,i2
-                 ptab(ji,jj,jk,jpts+1) = tmask(ji,jj,jk) * e3t_n(ji,jj,jk) 
+                 ptab(ji,jj,jk,jptra+1) = tmask(ji,jj,jk) * e3t_n(ji,jj,jk) 
               END DO
            END DO
         END DO
 # endif
-
-      ELSE
-         !
-         western_side  = (nb == 1).AND.(ndir == 1)
-         eastern_side  = (nb == 1).AND.(ndir == 2)
-         southern_side = (nb == 2).AND.(ndir == 1)
-         northern_side = (nb == 2).AND.(ndir == 2)
+      ELSE 
+
+         western_side  = (nb == 1).AND.(ndir == 1)   ;   eastern_side  = (nb == 1).AND.(ndir == 2)
+         southern_side = (nb == 2).AND.(ndir == 1)   ;   northern_side = (nb == 2).AND.(ndir == 2)
 
 # if defined key_vertical              
@@ -127,5 +116,4 @@
                ENDDO
                IF (N_in > 0) THEN
-                  h_diff = sum(h_out(1:N_out))-sum(h_in(1:N_in))
                   DO jn=1,jptra
                      call reconstructandremap(tabin(1:N_in,jn),h_in,ptab_child(ji,jj,1:N_out,jn),h_out,N_in,N_out)
@@ -137,129 +125,117 @@
          ptab_child(i1:i2,j1:j2,1:jpk,1:jptra) = ptab(i1:i2,j1:j2,1:jpk,1:jptra)
 # endif
-
          !
-         zrhox = Agrif_Rhox()
-         ! 
-         zalpha1 = ( zrhox - 1. ) * 0.5
-         zalpha2 = 1. - zalpha1
-         ! 
-         zalpha3 = ( zrhox - 1. ) / ( zrhox + 1. )
-         zalpha4 = 1. - zalpha3
-         ! 
-         zalpha6 = 2. * ( zrhox - 1. ) / ( zrhox + 1. )
-         zalpha7 =    - ( zrhox - 1. ) / ( zrhox + 3. )
-         zalpha5 = 1. - zalpha6 - zalpha7
-         !
-         imin = i1
-         imax = i2
-         jmin = j1
-         jmax = j2
-         ! 
-         ! Remove CORNERS
-         IF((nbondj == -1).OR.(nbondj == 2)) jmin = 3
-         IF((nbondj == +1).OR.(nbondj == 2)) jmax = nlcj-2
-         IF((nbondi == -1).OR.(nbondi == 2)) imin = 3
-         IF((nbondi == +1).OR.(nbondi == 2)) imax = nlci-2        
-         !
-         IF( eastern_side) THEN
-            DO jn = 1, jptra
-               tra(nlci,j1:j2,1:jpk,jn) = zalpha1 * ptab_child(nlci,j1:j2,1:jpk,jn) + zalpha2 * ptab_child(nlci-1,j1:j2,1:jpk,jn)
-               DO jk = 1, jpkm1
-                  DO jj = jmin,jmax
-                     IF( umask(nlci-2,jj,jk) == 0.e0 ) THEN
-                        tra(nlci-1,jj,jk,jn) = tra(nlci,jj,jk,jn) * tmask(nlci-1,jj,jk)
-                     ELSE
-                        tra(nlci-1,jj,jk,jn)=(zalpha4*tra(nlci,jj,jk,jn)+zalpha3*tra(nlci-2,jj,jk,jn))*tmask(nlci-1,jj,jk)
-                        IF( un(nlci-2,jj,jk) > 0.e0 ) THEN
-                           tra(nlci-1,jj,jk,jn)=( zalpha6*tra(nlci-2,jj,jk,jn)+zalpha5*tra(nlci,jj,jk,jn) & 
-                                 + zalpha7*tra(nlci-3,jj,jk,jn) ) * tmask(nlci-1,jj,jk)
-                        ENDIF
-                     END DO
-                  END DO
-               END DO
-            ENDDO
+         DO jn=1, jptra
+            tra(i1:i2,j1:j2,1:jpk,jn)=ptab_child(i1:i2,j1:j2,1:jpk,jn)*tmask(i1:i2,j1:j2,1:jpk) 
+         END DO
+
+         IF ( .NOT.lk_agrif_clp ) THEN 
+            !
+            zrhox = Agrif_Rhox()
+            z1 = ( zrhox - 1. ) * 0.5
+            z3 = ( zrhox - 1. ) / ( zrhox + 1. )
+            z6 = 2. * ( zrhox - 1. ) / ( zrhox + 1. )
+            z7 =    - ( zrhox - 1. ) / ( zrhox + 3. )
+            !
+            z2 = 1. - z1
+            z4 = 1. - z3
+            z5 = 1. - z6 - z7
+            !
+            imin = i1 ; imax = i2
+            jmin = j1 ; jmax = j2
+            ! 
+            ! Remove CORNERS
+            IF((nbondj == -1).OR.(nbondj == 2)) jmin = 2 + nbghostcells
+            IF((nbondj == +1).OR.(nbondj == 2)) jmax = nlcj - nbghostcells - 1
+            IF((nbondi == -1).OR.(nbondi == 2)) imin = 1 + nbghostcells
+            IF((nbondi == +1).OR.(nbondi == 2)) imax = nlci - nbghostcells - 1      
+            !
+            IF( eastern_side ) THEN
+               ibdy = nlci-nbghostcells
+               DO jn = 1, jptra
+                  tra(ibdy+1,jmin:jmax,k1:k2,jn) = z1 * ptab_child(ibdy+1,jmin:jmax,k1:k2,jn) + z2 * ptab_child(ibdy,jmin:jmax,k1:k2,jn)
+                  DO jk = 1, jpkm1
+                     DO jj = jmin,jmax
+                        IF( umask(ibdy-1,jj,jk) == 0._wp ) THEN
+                           tra(ibdy,jj,jk,jn) = tra(ibdy+1,jj,jk,jn) * tmask(ibdy,jj,jk)
+                        ELSE
+                           tra(ibdy,jj,jk,jn)=(z4*tra(ibdy+1,jj,jk,jn)+z3*tra(ibdy-1,jj,jk,jn))*tmask(ibdy,jj,jk)
+                           IF( un(ibdy-1,jj,jk) > 0._wp ) THEN
+                              tra(ibdy,jj,jk,jn)=( z6*tra(ibdy-1,jj,jk,jn)+z5*tra(ibdy+1,jj,jk,jn) & 
+                                                 + z7*tra(ibdy-2,jj,jk,jn) ) * tmask(ibdy,jj,jk)
+                           ENDIF
+                        ENDIF
+                     END DO
+                  END DO
+                  ! Restore ghost points:
+                  tra(ibdy+1,jmin:jmax,k1:k2,jn) = ptab_child(ibdy+1,jmin:jmax,k1:k2,jn) * tmask(ibdy+1,jmin:jmax,k1:k2)
+               END DO
+            ENDIF
+            ! 
+            IF( northern_side ) THEN
+               jbdy = nlcj-nbghostcells         
+               DO jn = 1, jptra
+                  tra(imin:imax,jbdy+1,k1:k2,jn) = z1 * ptab_child(imin:imax,jbdy+1,k1:k2,jn) + z2 * ptab_child(imin:imax,jbdy,k1:k2,jn)
+                  DO jk = 1, jpkm1
+                     DO ji = imin,imax
+                        IF( vmask(ji,jbdy-1,jk) == 0._wp ) THEN
+                           tra(ji,jbdy,jk,jn) = tra(ji,jbdy+1,jk,jn) * tmask(ji,jbdy,jk)
+                        ELSE
+                           tra(ji,jbdy,jk,jn)=(z4*tra(ji,jbdy+1,jk,jn)+z3*tra(ji,jbdy-1,jk,jn))*tmask(ji,jbdy,jk)        
+                           IF (vn(ji,jbdy-1,jk) > 0._wp ) THEN
+                              tra(ji,jbdy,jk,jn)=( z6*tra(ji,jbdy-1,jk,jn)+z5*tra(ji,jbdy+1,jk,jn)  &
+                                                 + z7*tra(ji,jbdy-2,jk,jn) ) * tmask(ji,jbdy,jk)
+                           ENDIF
+                        ENDIF
+                     END DO
+                  END DO
+                  ! Restore ghost points:
+                  tra(imin:imax,jbdy+1,k1:k2,jn) = ptab_child(imin:imax,jbdy+1,k1:k2,jn) * tmask(imin:imax,jbdy+1,k1:k2)
+               END DO
+            ENDIF
+            !
+            IF( western_side ) THEN    
+               ibdy = 1+nbghostcells       
+               DO jn = 1, jptra
+                  tra(ibdy-1,jmin:jmax,k1:k2,jn) = z1 * ptab_child(ibdy-1,jmin:jmax,k1:k2,jn) + z2 * ptab_child(ibdy,jmin:jmax,k1:k2,jn)
+                  DO jk = 1, jpkm1
+                     DO jj = jmin,jmax
+                        IF( umask(ibdy,jj,jk) == 0._wp ) THEN
+                           tra(ibdy,jj,jk,jn) = tra(ibdy-1,jj,jk,jn) * tmask(ibdy,jj,jk)
+                        ELSE
+                           tra(ibdy,jj,jk,jn)=(z4*tra(ibdy-1,jj,jk,jn)+z3*tra(ibdy+1,jj,jk,jn))*tmask(ibdy,jj,jk)        
+                           IF( un(ibdy,jj,jk) < 0._wp ) THEN
+                              tra(ibdy,jj,jk,jn)=(z6*tra(ibdy+1,jj,jk,jn)+z5*tra(ibdy-1,jj,jk,jn)+z7*tra(ibdy+2,jj,jk,jn))*tmask(ibdy,jj,jk)
+                           ENDIF
+                        ENDIF
+                     END DO
+                  END DO
+                  ! Restore ghost points:
+                  tra(ibdy-1,jmin:jmax,k1:k2,jn) = ptab_child(ibdy-1,jmin:jmax,k1:k2,jn) * tmask(ibdy-1,jmin:jmax,k1:k2)
+               END DO
+            ENDIF
+            !
+            IF( southern_side ) THEN  
+               jbdy=1+nbghostcells        
+               DO jn = 1, jptra
+                  tra(imin:imax,jbdy-1,k1:k2,jn) = z1 * ptab_child(imin:imax,jbdy-1,k1:k2,jn) + z2 * ptab_child(imin:imax,jbdy,k1:k2,jn)
+                  DO jk = 1, jpk      
+                     DO ji=imin,imax
+                        IF( vmask(ji,jbdy,jk) == 0._wp ) THEN
+                           tra(ji,jbdy,jk,jn)=tra(ji,jbdy-1,jk,jn) * tmask(ji,jbdy,jk)
+                        ELSE
+                           tra(ji,jbdy,jk,jn)=(z4*tra(ji,jbdy-1,jk,jn)+z3*tra(ji,jbdy+1,jk,jn))*tmask(ji,jbdy,jk)
+                           IF( vn(ji,jbdy,jk) < 0._wp ) THEN
+                              tra(ji,jbdy,jk,jn)=(z6*tra(ji,jbdy+1,jk,jn)+z5*tra(ji,jbdy-1,jk,jn)+z7*tra(ji,jbdy+2,jk,jn))*tmask(ji,jbdy,jk)
+                           ENDIF
+                        ENDIF
+                     END DO
+                  END DO
+                  ! Restore ghost points:
+                  tra(imin:imax,jbdy-1,k1:k2,jn) = tra(imin:imax,jbdy-1,k1:k2,jn) * tmask(imin:imax,jbdy-1,k1:k2)
+               END DO
+            ENDIF
+            !
          ENDIF
-         ! 
-         IF( northern_side ) THEN            
-            DO jn = 1, jptra
-               tra(i1:i2,nlcj,1:jpk,jn) = zalpha1 * ptab_child(i1:i2,nlcj,1:jpk,jn) + zalpha2 * ptab_child(i1:i2,nlcj-1,1:jpk,jn)
-               DO jk = 1, jpkm1
-                  DO ji = imin,imax
-                     IF( vmask(ji,nlcj-2,jk) == 0.e0 ) THEN
-                        tra(ji,nlcj-1,jk,jn) = tra(ji,nlcj,jk,jn) * tmask(ji,nlcj-1,jk)
-                     ELSE
-                        tra(ji,nlcj-1,jk,jn)=(zalpha4*tra(ji,nlcj,jk,jn)+zalpha3*tra(ji,nlcj-2,jk,jn))*tmask(ji,nlcj-1,jk)        
-                        IF (vn(ji,nlcj-2,jk) > 0.e0 ) THEN
-                           tra(ji,nlcj-1,jk,jn)=( zalpha6*tra(ji,nlcj-2,jk,jn)+zalpha5*tra(ji,nlcj,jk,jn)  &
-                                 + zalpha7*tra(ji,nlcj-3,jk,jn) ) * tmask(ji,nlcj-1,jk)
-                        ENDIF
-                     END DO
-                  END DO
-               END DO
-            ENDDO
-         ENDIF
-         !
-         IF( western_side) THEN            
-            DO jn = 1, jptra
-               tra(1,j1:j2,1:jpk,jn) = zalpha1 * ptab_child(1,j1:j2,1:jpk,jn) + zalpha2 * ptab_child(2,j1:j2,1:jpk,jn)
-               DO jk = 1, jpkm1
-                  DO jj = jmin,jmax
-                     IF( umask(2,jj,jk) == 0.e0 ) THEN
-                        tra(2,jj,jk,jn) = tra(1,jj,jk,jn) * tmask(2,jj,jk)
-                     ELSE
-                        tra(2,jj,jk,jn)=(zalpha4*tra(1,jj,jk,jn)+zalpha3*tra(3,jj,jk,jn))*tmask(2,jj,jk)        
-                        IF( un(2,jj,jk) < 0.e0 ) THEN
-                           tra(2,jj,jk,jn)=(zalpha6*tra(3,jj,jk,jn)+zalpha5*tra(1,jj,jk,jn)+zalpha7*tra(4,jj,jk,jn))*tmask(2,jj,jk)
-                        ENDIF
-                     END DO
-                  END DO
-               END DO
-            END DO
-         ENDIF
-         !
-         IF( southern_side ) THEN           
-            DO jn = 1, jptra
-               tra(i1:i2,1,1:jpk,jn) = zalpha1 * ptab_child(i1:i2,1,1:jpk,jn) + zalpha2 * ptab_child(i1:i2,2,1:jpk,jn)
-               DO jk=1,jpkm1
-                  DO ji=imin,imax
-                     IF( vmask(ji,2,jk) == 0.e0 ) THEN
-                        tra(ji,2,jk,jn)=tra(ji,1,jk,jn) * tmask(ji,2,jk)
-                     ELSE
-                        tra(ji,2,jk,jn)=(zalpha4*tra(ji,1,jk,jn)+zalpha3*tra(ji,3,jk,jn))*tmask(ji,2,jk)
-                        IF( vn(ji,2,jk) < 0.e0 ) THEN
-                           tra(ji,2,jk,jn)=(zalpha6*tra(ji,3,jk,jn)+zalpha5*tra(ji,1,jk,jn)+zalpha7*tra(ji,4,jk,jn))*tmask(ji,2,jk)
-                        ENDIF
-                     END DO
-                  END DO
-               END DO
-            ENDIF
-            !
-            ! Treatment of corners
-            IF( ll_east .AND.((nbondj == -1).OR.(nbondj == 2)) )   tra(nlci-1,   2  ,:,:) = ptab(nlci-1,   2  ,:,:)   ! East south
-            IF( ll_east .AND.((nbondj ==  1).OR.(nbondj == 2)) )   tra(nlci-1,nlcj-1,:,:) = ptab(nlci-1,nlcj-1,:,:)   ! East north
-            IF( ll_west .AND.((nbondj == -1).OR.(nbondj == 2)) )   tra(   2  ,   2  ,:,:) = ptab(   2  ,   2  ,:,:)   ! West south
-            IF( ll_west .AND.((nbondj ==  1).OR.(nbondj == 2)) )   tra(   2  ,nlcj-1,:,:) = ptab(   2  ,nlcj-1,:,:)   ! West north
-            !
-         ENDIF
-         !
-         ! Treatment of corners
-         ! 
-         ! East south
-         IF ((eastern_side).AND.((nbondj == -1).OR.(nbondj == 2))) THEN
-            tra(nlci-1,2,:,:) = ptab_child(nlci-1,2,:,:)
-         ENDIF
-         ! East north
-         IF ((eastern_side).AND.((nbondj == 1).OR.(nbondj == 2))) THEN
-            tra(nlci-1,nlcj-1,:,:) = ptab_child(nlci-1,nlcj-1,:,:)
-         ENDIF
-         ! West south
-         IF ((western_side).AND.((nbondj == -1).OR.(nbondj == 2))) THEN
-            tra(2,2,:,:) = ptab_child(2,2,:,:)
-         ENDIF
-         ! West north
-         IF ((western_side).AND.((nbondj == 1).OR.(nbondj == 2))) THEN
-            tra(2,nlcj-1,:,:) = ptab_child(2,nlcj-1,:,:)
-         ENDIF
-         !
       ENDIF
       !
Index: /NEMO/trunk/src/NST/agrif_user.F90
===================================================================
--- /NEMO/trunk/src/NST/agrif_user.F90	(revision 9787)
+++ /NEMO/trunk/src/NST/agrif_user.F90	(revision 9788)
@@ -624,5 +624,4 @@
       ENDIF
 
-      ENDIF
       ! Check passive tracer cell
       IF( nn_dttrc .NE. 1 ) THEN
Index: /NEMO/trunk/src/TOP/PISCES/P2Z/p2zexp.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 9788)
@@ -253,3 +253,3 @@
 
    !!======================================================================
-END MODULE  p2zexp
+END MODULE p2zexp
Index: /NEMO/trunk/src/TOP/PISCES/P2Z/p2zopt.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P2Z/p2zopt.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P2Z/p2zopt.F90	(revision 9788)
@@ -201,3 +201,3 @@
 
    !!======================================================================
-END MODULE  p2zopt
+END MODULE p2zopt
Index: /NEMO/trunk/src/TOP/PISCES/P2Z/p2zsed.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P2Z/p2zsed.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P2Z/p2zsed.F90	(revision 9788)
@@ -152,3 +152,3 @@
 
    !!======================================================================
-END MODULE  p2zsed
+END MODULE p2zsed
Index: /NEMO/trunk/src/TOP/PISCES/P4Z/p4zche.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P4Z/p4zche.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P4Z/p4zche.F90	(revision 9788)
@@ -831,3 +831,3 @@
 
    !!======================================================================
-END MODULE  p4zche
+END MODULE p4zche
Index: /NEMO/trunk/src/TOP/PISCES/P4Z/p5zice.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P4Z/p5zice.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P4Z/p5zice.F90	(revision 9788)
@@ -600,3 +600,3 @@
    END FUNCTION p5z_lim_alloc
    !!======================================================================
-END MODULE  p5zice
+END MODULE p5zice
Index: /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmeso.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmeso.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmeso.F90	(revision 9788)
@@ -427,3 +427,3 @@
 
    !!======================================================================
-END MODULE  p5zmeso
+END MODULE p5zmeso
Index: /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmicro.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmicro.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmicro.F90	(revision 9788)
@@ -369,3 +369,3 @@
 
    !!======================================================================
-END MODULE  p5zmicro
+END MODULE p5zmicro
Index: /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmort.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 9788)
@@ -310,3 +310,3 @@
 
    !!======================================================================
-END MODULE  p5zmort
+END MODULE p5zmort
Index: /NEMO/trunk/src/TOP/PISCES/P4Z/p5zprod.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 9788)
@@ -618,3 +618,3 @@
    END FUNCTION p5z_prod_alloc
    !!======================================================================
-END MODULE  p5zprod
+END MODULE p5zprod
Index: /NEMO/trunk/src/TOP/TRP/trcrad.F90
===================================================================
--- /NEMO/trunk/src/TOP/TRP/trcrad.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/TRP/trcrad.F90	(revision 9788)
@@ -13,4 +13,5 @@
    !!   trc_rad    : correction of negative concentrations
    !!----------------------------------------------------------------------
+   USE par_trc             ! need jptra, number of passive tracers 
    USE oce_trc             ! ocean dynamics and tracers variables
    USE trc                 ! ocean passive tracers variables
Index: /NEMO/trunk/src/TOP/trcbc.F90
===================================================================
--- /NEMO/trunk/src/TOP/trcbc.F90	(revision 9787)
+++ /NEMO/trunk/src/TOP/trcbc.F90	(revision 9788)
@@ -39,5 +39,5 @@
    TYPE(FLD), SAVE, PUBLIC, ALLOCATABLE, DIMENSION(:)  :: sf_trccbc    ! structure of data input CBC (file informations, fields read)
    REAL(wp) , SAVE, PUBLIC, ALLOCATABLE, DIMENSION(:)  :: rf_trofac    ! multiplicative factor for OBCtracer values
-   TYPE(FLD), SAVE, PUBLIC, ALLOCATABLE, DIMENSION(:), TARGET  :: sf_trcobc    ! structure of data input OBC (file informations, fields read)
+   TYPE(FLD), SAVE, PUBLIC, ALLOCATABLE, DIMENSION(:)  :: sf_trcobc    ! structure of data input OBC (file informations, fields read)
    TYPE(MAP_POINTER), ALLOCATABLE, DIMENSION(:) :: nbmap_ptr   ! array of pointers to nbmap
 