Index: NEMO/trunk/tests/ICEDYN/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/EXPREF/1_namelist_cfg	(revision 9763)
+++ NEMO/trunk/tests/ICEDYN/EXPREF/1_namelist_cfg	(revision 9789)
@@ -2,5 +2,5 @@
 !! NEMO/OPA  Configuration namelist : overwrite defaults values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!                    SAS BIPERIODIC configuration                    !!
+!!               ICEDYN (SAS BIPERIODIC) configuration                !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -18,5 +18,5 @@
 !
 !-----------------------------------------------------------------------
-&namusr_def    !   SAS_BIPER user defined namelist
+&namusr_def    !   ICEDYN user defined namelist
 !-----------------------------------------------------------------------
    rn_dx       =    1000.   ! horizontal resolution in meters
@@ -28,5 +28,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0      !  job number (no more used...)
-   cn_exp      =  "SASBIPER"  !  experience name
+   cn_exp      =  "ICEDYN"    !  experience name
    nn_it000    =       1      !  first time step
    nn_itend    =    1500      !  last  time step (std 5475)
@@ -47,5 +47,5 @@
    ln_read_cfg = .false.    !  (=T) read the domain configuration file
       !                     !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-      cn_domcfg = "SASBIPER_domcfg"    ! domain configuration filename
+      cn_domcfg = "ICEDYN_domcfg"    ! domain configuration filename
 /
 !!======================================================================
Index: NEMO/trunk/tests/ICEDYN/EXPREF/README
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/EXPREF/README	(revision 9763)
+++ NEMO/trunk/tests/ICEDYN/EXPREF/README	(revision 9789)
@@ -19,5 +19,5 @@
               ==> remove key_agrif in cpp keys
 
-b) Same as a) but with an Agrif zoom in the center 1:3, and 3 ghost cells (defined in par_oce.F90)
+b) Same as a) but with an Agrif zoom in the center 1:3, and 3 ghost cells
               ==> add key_agrif in cpp keys
 
@@ -25,8 +25,7 @@
 How to run
 ----------
-Be careful, the model can only run on 1 processor in the N-S dimension
 
 a) Compile and run the model once to get a mesh_mask.nc file with the following command:
-../../../makenemo -a TEST_CASES -n SAS_BIPER -m X64_ADA -j 4
+../../../makenemo -a TEST_CASES -n ICEDYN -m X64_ADA -j 4
 poe ./opa -procs 1
 
@@ -35,5 +34,5 @@
 
 c) Run the model a second time
-poe ./opa -procs 1
+poe ./opa -procs 4
 
 ---------------
Index: NEMO/trunk/tests/ICEDYN/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/EXPREF/namelist_cfg	(revision 9763)
+++ NEMO/trunk/tests/ICEDYN/EXPREF/namelist_cfg	(revision 9789)
@@ -2,5 +2,5 @@
 !! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!                    SAS BIPERIODIC configuration                    !!
+!!               ICEDYN (SAS BIPERIODIC) configuration                !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -18,5 +18,5 @@
 !
 !-----------------------------------------------------------------------
-&namusr_def    !   SAS_BIPER user defined namelist
+&namusr_def    !   ICEDYN user defined namelist
 !-----------------------------------------------------------------------
    rn_dx       =    3000.   ! horizontal resolution in meters
@@ -28,5 +28,5 @@
 !-----------------------------------------------------------------------
    nn_no       =       0      !  job number (no more used...)
-   cn_exp      =  "SASBIPER"  !  experience name
+   cn_exp      =  "ICEDYN"    !  experience name
    nn_it000    =       1      !  first time step
    nn_itend    =     500      !  last  time step (std 5475)
@@ -47,5 +47,5 @@
    ln_read_cfg = .false.    !  (=T) read the domain configuration file
       !                     !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-      cn_domcfg = "SASBIPER_domcfg"    ! domain configuration filename
+      cn_domcfg = "ICEDYN_domcfg"    ! domain configuration filename
 /
 !!======================================================================
Index: NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/MY_SRC/usrdef_hgr.F90	(revision 9763)
+++ NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_hgr.F90	(revision 9789)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  usrdef_hgr  ***
    !!
-   !!                     ===  SAS_BIPER configuration  ===
+   !!                      ===  ICEDYN configuration  ===
    !!
    !! User defined :   mesh and Coriolis parameter of a user configuration
@@ -11,5 +11,5 @@
 
    !!----------------------------------------------------------------------
-   !!   usr_def_hgr    : initialize the horizontal mesh for SAS_BIPER configuration
+   !!   usr_def_hgr    : initialize the horizontal mesh for ICEDYN configuration
    !!----------------------------------------------------------------------
    USE dom_oce         ! ocean space and time domain
@@ -45,5 +45,5 @@
       !!
       !! ** Method  :   set all intent(out) argument to a proper value
-      !!                SAS_BIPER configuration : uniform grid spacing (rn_dx)
+      !!                ICEDYN configuration : uniform grid spacing (rn_dx)
       !!                without Coriolis force (f=0)
       !!
@@ -68,5 +68,5 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'usr_def_hgr : SAS_BIPER configuration bassin'
+      IF(lwp) WRITE(numout,*) 'usr_def_hgr : ICEDYN configuration bassin'
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) '          f-plane with irregular grid-spacing (+- 10%)'
Index: NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_nam.F90
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/MY_SRC/usrdef_nam.F90	(revision 9763)
+++ NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_nam.F90	(revision 9789)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  usrdef_nam  ***
    !!
-   !!                     ===  SAS_BIPER configuration  ===
+   !!                      ===  ICEDYN configuration  ===
    !!
    !! User defined : set the domain characteristics of a user configuration
@@ -47,5 +47,5 @@
       !! ** Method  :   read in namusr_def containing all the user specific namelist parameter
       !!
-      !!                Here SAS_BIPER configuration
+      !!                Here ICEDYN configuration
       !!
       !! ** input   : - namusr_def namelist found in namelist_cfg
@@ -80,8 +80,8 @@
       WRITE( ldnam(:), namusr_def )
       !
-      cd_cfg = 'SAS_BIPER'           ! name & resolution (not used)
+      cd_cfg = 'ICEDYN'           ! name & resolution (not used)
       kk_cfg = INT( rn_dx )
       !
-      ! Global Domain size:  SAS_BIPER domain is  300 km x 300 Km x 10 m
+      ! Global Domain size:  ICEDYN domain is  300 km x 300 Km x 10 m
       kpi = INT( 300.e3 / rn_dx ) -1
       kpj = INT( 300.e3 / rn_dy ) -1
@@ -102,8 +102,8 @@
       WRITE(ldtxt(ii),*) 'usr_def_nam  : read the user defined namelist (namusr_def) in namelist_cfg'   ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '~~~~~~~~~~~ '                                                                 ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '   Namelist namusr_def : SAS_BIPER test case'                                 ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '   Namelist namusr_def : ICEDYN test case'                                    ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      horizontal resolution                    rn_dx  = ', rn_dx, ' meters'   ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '      horizontal resolution                    rn_dy  = ', rn_dy, ' meters'   ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      SAS_BIPER domain = 300 km x 300Km x 1 grid-point '                      ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      ICEDYN domain = 300 km x 300Km x 1 grid-point '                         ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '         LX [km]: ', zlx                                                      ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '         LY [km]: ', zly                                                      ;   ii = ii + 1
@@ -113,5 +113,5 @@
       !
       !                             ! Set the lateral boundary condition of the global domain
-      kperio = 7                    ! SAS_BIPER configuration : bi-periodic basin
+      kperio = 7                    ! ICEDYN configuration : bi-periodic basin
 #if defined key_agrif
       IF( .NOT. Agrif_Root() ) THEN
@@ -122,5 +122,5 @@
       WRITE(ldtxt(ii),*) '   '                                                                          ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '   Lateral boundary condition of the global domain'                           ;   ii = ii + 1
-      WRITE(ldtxt(ii),*) '      SAS_BIPER : bi-periodic basin            jperio = ', kperio             ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '      ICEDYN : bi-periodic basin               jperio = ', kperio             ;   ii = ii + 1
       !
    END SUBROUTINE usr_def_nam
Index: NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_sbc.F90
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/MY_SRC/usrdef_sbc.F90	(revision 9763)
+++ NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_sbc.F90	(revision 9789)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  usrdef_sbc  ***
    !! 
-   !!                     ===  SAS_BIPER configuration  ===
+   !!                      ===  ICEDYN configuration  ===
    !!
    !! User defined :   surface forcing of a user configuration
@@ -11,5 +11,5 @@
 
    !!----------------------------------------------------------------------
-   !!   usr_def_sbc    : user defined surface bounday conditions in SAS_BIPER case
+   !!   usr_def_sbc    : user defined surface bounday conditions in ICEDYN case
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers
@@ -49,5 +49,5 @@
       !!              condition, i.e. the momentum, heat and freshwater fluxes.
       !!
-      !! ** Method  :   all 0 fields, for SAS_BIPER case
+      !! ** Method  :   all 0 fields, for ICEDYN case
       !!                CAUTION : never mask the surface stress field !
       !!
@@ -61,5 +61,5 @@
       IF( kt == nit000 ) THEN
          !
-         IF(lwp)   WRITE(numout,*)' usrdef_sbc_oce : SAS_BIPER case: NO surface forcing'
+         IF(lwp)   WRITE(numout,*)' usrdef_sbc_oce : ICEDYN case: NO surface forcing'
          ! --- oce variables --- !
          utau(:,:) = 0._wp 
@@ -91,5 +91,5 @@
       INTEGER, INTENT(in) ::   kt   ! ocean time step
       !!---------------------------------------------------------------------
-      IF( kt==nit000 .AND. lwp)   WRITE(numout,*)' usrdef_sbc_ice : SAS_BIPER case: constant stress forcing'
+      IF( kt==nit000 .AND. lwp)   WRITE(numout,*)' usrdef_sbc_ice : ICEDYN case: constant stress forcing'
       !
       utau_ice(:,:) = 1.3_wp   ! <=> 0.5 m/s
@@ -112,5 +112,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( kt==nit000 .AND. lwp)   WRITE(numout,*)' usrdef_sbc_ice : SAS_BIPER case: NO flux forcing'
+      IF( kt==nit000 .AND. lwp)   WRITE(numout,*)' usrdef_sbc_ice : ICEDYN case: NO flux forcing'
       !
       ! ocean variables (renaming)
Index: NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_zgr.F90
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/MY_SRC/usrdef_zgr.F90	(revision 9763)
+++ NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_zgr.F90	(revision 9789)
@@ -3,5 +3,5 @@
    !!                   ***  MODULE  usrdef_zgr  ***
    !!
-   !!                   ===  LOCK_EXCHANGE case  ===
+   !!                   ===      ICEDYN case     ===
    !!
    !! Ocean domain : user defined vertical coordinate system 
@@ -59,9 +59,9 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'usr_def_zgr : SAS_BIPER configuration (slab ocean - advection of an ice patch in a biperiodic square box domain)'
+      IF(lwp) WRITE(numout,*) 'usr_def_zgr : ICEDYN configuration (slab ocean - advection of an ice patch in a biperiodic square box domain)'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
       !
       !
-      ! type of vertical coordinate  ==>>>   here SAS_BIPER : slab ocean always
+      ! type of vertical coordinate  ==>>>   here ICEDYN : slab ocean always
       ! ---------------------------
       ld_zco    = .TRUE.       ! z-full-step coordinate
Index: NEMO/trunk/tests/ICEDYN/cpp_ICEDYN.fcm
===================================================================
--- NEMO/trunk/tests/ICEDYN/cpp_ICEDYN.fcm	(revision 9789)
+++ NEMO/trunk/tests/ICEDYN/cpp_ICEDYN.fcm	(revision 9789)
@@ -0,0 +1,1 @@
+bld::tool::fppkeys key_agrif key_si3 key_mpp_mpi key_nosignedzero key_iomput
Index: NEMO/trunk/tests/ICEDYN/MY_SRC/par_oce.F90
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/MY_SRC/par_oce.F90	(revision 9763)
+++ 	(revision )
@@ -1,89 +1,0 @@
-MODULE par_oce
-   !!======================================================================
-   !!                        ***  par_oce  ***
-   !! Ocean :   set the ocean parameters
-   !!======================================================================
-   !! History :  OPA  !  1991     (Imbard, Levy, Madec)  Original code
-   !!   NEMO     1.0  !  2004-01  (G. Madec, J.-M. Molines)  Free form and module
-   !!            3.3  !  2010-09  (C. Ethe) TRA-TRC merge: add jpts, jp_tem & jp_sal
-   !!----------------------------------------------------------------------
-   USE par_kind          ! kind parameters
-
-   IMPLICIT NONE
-   PUBLIC
-
-   !!----------------------------------------------------------------------
-   !!                   namcfg namelist parameters
-   !!----------------------------------------------------------------------
-   LOGICAL       ::   ln_read_cfg      !: (=T) read the domain configuration file or (=F) not
-   CHARACTER(lc) ::      cn_domcfg        !: filename the configuration file to be read
-   LOGICAL       ::   ln_write_cfg     !: (=T) create the domain configuration file
-   CHARACTER(lc) ::      cn_domcfg_out    !: filename the configuration file to be read
-   !
-   LOGICAL       ::   ln_use_jattr     !: input file read offset
-   !                                   !  Use file global attribute: open_ocean_jstart to determine start j-row 
-   !                                   !  when reading input from those netcdf files that have the 
-   !                                   !  attribute defined. This is designed to enable input files associated 
-   !                                   !  with the extended grids used in the under ice shelf configurations to 
-   !                                   !  be used without redundant rows when the ice shelves are not in use.
-   ! 
-
-   !!---------------------------------------------------------------------
-   !! Domain Matrix size 
-   !!---------------------------------------------------------------------
-   ! configuration name & resolution   (required only in ORCA family case)
-   CHARACTER(lc) ::   cn_cfg           !: name of the configuration
-   INTEGER       ::   nn_cfg           !: resolution of the configuration 
-
-   ! global domain size               !!! * total computational domain *
-   INTEGER       ::   jpiglo           !: 1st dimension of global domain --> i-direction
-   INTEGER       ::   jpjglo           !: 2nd    -                  -    --> j-direction
-   INTEGER       ::   jpkglo           !: 3nd    -                  -    --> k levels
-
-#if defined key_agrif
-
-!!gm  BUG ?   I'm surprised by the calculation below of nbcellsx and nbcellsy before jpiglo,jpjglo 
-!!gm                           has been assigned to a value....
-!!gm
-
-   ! global domain size for AGRIF     !!! * total AGRIF computational domain *
-   INTEGER, PUBLIC, PARAMETER ::   nbghostcells = 3                             !: number of ghost cells
-   INTEGER, PUBLIC            ::   nbcellsx     = jpiglo - 2 - 2*nbghostcells   !: number of cells in i-direction
-   INTEGER, PUBLIC            ::   nbcellsy     = jpjglo - 2 - 2*nbghostcells   !: number of cells in j-direction
-#endif
-
-   ! local domain size                !!! * local computational domain *
-   INTEGER, PUBLIC ::   jpi   ! = ( jpiglo-2*nn_hls + (jpni-1) ) / jpni + 2*nn_hls   !: first  dimension
-   INTEGER, PUBLIC ::   jpj   ! = ( jpjglo-2*nn_hls + (jpnj-1) ) / jpnj + 2*nn_hls   !: second dimension
-   INTEGER, PUBLIC ::   jpk   ! = jpkglo
-   INTEGER, PUBLIC ::   jpim1 ! = jpi-1                                            !: inner domain indices
-   INTEGER, PUBLIC ::   jpjm1 ! = jpj-1                                            !:   -     -      -
-   INTEGER, PUBLIC ::   jpkm1 ! = jpk-1                                            !:   -     -      -
-   INTEGER, PUBLIC ::   jpij  ! = jpi*jpj                                          !:  jpi x jpj
-   INTEGER, PUBLIC ::   jpimax! = maximum jpi across all areas 
-   INTEGER, PUBLIC ::   jpjmax! = maximum jpj across all areas
-
-   !!---------------------------------------------------------------------
-   !! Active tracer parameters
-   !!---------------------------------------------------------------------
-   INTEGER, PUBLIC, PARAMETER ::   jpts   = 2    !: Number of active tracers (=2, i.e. T & S )
-   INTEGER, PUBLIC, PARAMETER ::   jp_tem = 1    !: indice for temperature
-   INTEGER, PUBLIC, PARAMETER ::   jp_sal = 2    !: indice for salinity
-
-   !!----------------------------------------------------------------------
-   !!   Domain decomposition
-   !!----------------------------------------------------------------------
-   !! if we dont use massively parallel computer (parameters jpni=jpnj=1) so jpiglo=jpi and jpjglo=jpj
-   INTEGER, PUBLIC            ::   jpni         !: number of processors following i 
-   INTEGER, PUBLIC            ::   jpnj         !: number of processors following j
-   INTEGER, PUBLIC            ::   jpnij        !: nb of local domain = nb of processors ( <= jpni x jpnj )
-   INTEGER, PUBLIC, PARAMETER ::   jpr2di = 0   !: number of columns for extra outer halo 
-   INTEGER, PUBLIC, PARAMETER ::   jpr2dj = 0   !: number of rows    for extra outer halo 
-   INTEGER, PUBLIC, PARAMETER ::   nn_hls = 1   !: halo width (applies to both rows and columns)
-
-   !!----------------------------------------------------------------------
-   !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: par_oce.F90 7646 2017-02-06 09:25:03Z timgraham $ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!======================================================================
-END MODULE par_oce
Index: NEMO/trunk/tests/ICEDYN/cpp_SAS_BIPER.fcm
===================================================================
--- NEMO/trunk/tests/SAS_BIPER/cpp_SAS_BIPER.fcm	(revision 9763)
+++ 	(revision )
@@ -1,1 +1,0 @@
-bld::tool::fppkeys key_agrif key_si3 key_mpp_mpi key_nosignedzero key_iomput