Index: /NEMO/trunk/tests/ICEDYN/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/trunk/tests/ICEDYN/EXPREF/1_namelist_cfg	(revision 9793)
+++ /NEMO/trunk/tests/ICEDYN/EXPREF/1_namelist_cfg	(revision 9794)
@@ -22,5 +22,6 @@
    rn_dx       =    1000.   ! horizontal resolution in meters
    rn_dy       =    1000.   ! horizontal resolution in meters
-   rn_ppgphi0  =     70.    ! Reference latitude [degrees]
+   ln_corio    =    .false. ! set coriolis to 0 (false) or not (true)
+      rn_ppgphi0  =  70.    ! Reference latitude [degrees]
 /
 !-----------------------------------------------------------------------
Index: /NEMO/trunk/tests/ICEDYN/EXPREF/namelist_cfg
===================================================================
--- /NEMO/trunk/tests/ICEDYN/EXPREF/namelist_cfg	(revision 9793)
+++ /NEMO/trunk/tests/ICEDYN/EXPREF/namelist_cfg	(revision 9794)
@@ -22,5 +22,6 @@
    rn_dx       =    3000.   ! horizontal resolution in meters
    rn_dy       =    3000.   ! horizontal resolution in meters
-   rn_ppgphi0  =     70.    ! Reference latitude [degrees]
+   ln_corio    =    .false. ! set coriolis=0 (false) or not (true)
+      rn_ppgphi0  =  70.    ! Reference latitude [degrees]
 /
 !-----------------------------------------------------------------------
Index: /NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_hgr.F90	(revision 9793)
+++ /NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_hgr.F90	(revision 9794)
@@ -16,6 +16,6 @@
    USE par_oce         ! ocean space and time domain
    USE phycst          ! physical constants
-   USE usrdef_nam, ONLY: rn_dx, rn_dy, rn_ppgphi0   ! horizontal resolution in meters
-   !                                                  and reference latitude
+   USE usrdef_nam, ONLY: rn_dx, rn_dy, ln_corio, rn_ppgphi0   ! horizontal resolution in meters
+   !                                                            coriolis and reference latitude
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
@@ -147,8 +147,13 @@
       kff = 1                       !  indicate not to compute Coriolis parameter afterward
       !
-      zbeta = 2._wp * omega * COS( rad * rn_ppgphi0 ) / ra
-      zf0   = 2._wp * omega * SIN( rad * rn_ppgphi0 )
-      pff_f(:,:) = zf0 + zbeta * pphif(:,:) * 1.e+3
-      pff_t(:,:) = zf0 + zbeta * pphit(:,:) * 1.e+3
+      IF( ln_corio ) THEN
+         zbeta = 2._wp * omega * COS( rad * rn_ppgphi0 ) / ra
+         zf0   = 2._wp * omega * SIN( rad * rn_ppgphi0 )
+         pff_f(:,:) = zf0 + zbeta * pphif(:,:) * 1.e+3
+         pff_t(:,:) = zf0 + zbeta * pphit(:,:) * 1.e+3
+      ELSE
+         pff_f(:,:) = 0.
+         pff_t(:,:) = 0.
+      ENDIF
       !
    END SUBROUTINE usr_def_hgr
Index: /NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_nam.F90
===================================================================
--- /NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_nam.F90	(revision 9793)
+++ /NEMO/trunk/tests/ICEDYN/MY_SRC/usrdef_nam.F90	(revision 9794)
@@ -31,4 +31,5 @@
    REAL(wp), PUBLIC ::   rn_dy      ! resolution in meters defining the horizontal domain size
    REAL(wp), PUBLIC ::   rn_ppgphi0 ! reference latitude for beta-plane 
+   LOGICAL , PUBLIC ::   ln_corio   ! set coriolis at 0 (ln_corio=F) or not 
 
    !!----------------------------------------------------------------------
@@ -60,5 +61,5 @@
       REAL(wp)::   zlx, zly  ! Local scalars
       !!
-      NAMELIST/namusr_def/ ln_zco, rn_dx, rn_dy, rn_ppgphi0
+      NAMELIST/namusr_def/ ln_zco, rn_dx, rn_dy, ln_corio, rn_ppgphi0
       !!----------------------------------------------------------------------
       !
@@ -111,4 +112,5 @@
       WRITE(ldtxt(ii),*) '                                               jpjglo = ', kpj                ;   ii = ii + 1
       WRITE(ldtxt(ii),*) '                                               jpkglo = ', kpk                ;   ii = ii + 1
+      WRITE(ldtxt(ii),*) '         Coriolis:', ln_corio                                                 ;   ii = ii + 1
       !
       !                             ! Set the lateral boundary condition of the global domain